Version : mises à jour de la plateforme Linux pour Elastic Beanstalk le 21 février 2019 - AWS Elastic Beanstalk

Les traductions sont fournies par des outils de traduction automatique. En cas de conflit entre le contenu d'une traduction et celui de la version originale en anglais, la version anglaise prévaudra.

Version : mises à jour de la plateforme Linux pour Elastic Beanstalk le 21 février 2019

Cette version fournit de nouvelles versions de plateformes Linux pour AWS Elastic Beanstalk. La version inclut des mises à jour de sécurité. Elle inclut également des mises à jour pour Go, Node.js et Ruby, ainsi que la prise en charge de types d'instances Amazon EC2 supplémentaires dans une région AWS.

Date de parution : 21 février 2019

Modifications

Catégorie Description

Mises à jour de sécurité

Application de toutes les mises à jour de sécurité publiées dans le centre de sécurité Amazon Linux au plus tard le 8 février 2019 à toutes les plateformes Linux.

Consultez aussi l'entrée Go dans les mises à jour spécifiques à la plateforme pour une mise à jour de sécurité Go.

Mises à jour spécifiques aux plateformes

Application de ces mises à jour spécifiques aux plateformes :

Plateforme Mettre à jour

Go

Mise à jour vers la révision mineure 1.11.5. Pour plus de détails, consultez go1.11 dans The Go Programming Language Release History.

La révision 1.11.5 inclut un correctif de sécurité. Pour de plus amples informations, veuillez consulter l'étape Go 1.11.5 sur le suivi de problèmes Go.

Node.js

Mise à jour de la plateforme Node.js pour ajout de la prise en charge de la version Node 10.15.1.

Ruby

Mise à jour Ruby 2.6 vers Ruby 2.6.1.

Types d'instances

Ajout de la prise en charge de types d'instances Amazon EC2 supplémentaires dans une région AWS, comme suit :

Types d'instances Régions

C5d, M5d, R5, R5D, T3

  • Asie-Pacifique (Mumbai) – ap-south-1

Nouvelles versions de plateforme

Générateur Packer

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Packer Version

Elastic Beanstalk Packer Builder version 2.6.7

64bit Amazon Linux 2018.03 v2.6.7 running Packer 1.0.3

2018.03.0

1.0.3

Single Container Docker

Version de plateforme et Nom de la pile de solutions

AMI

Version de Docker

Serveur proxy

Single Container Docker 18.06 version 2.12.9

64bit Amazon Linux 2018.03 v2.12.9 running Docker 18.06.1-ce

2018.03.0

18.06.1-ce

nginx 1.14.1

Docker multi-conteneurs

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Version de Docker

Agent ECS

Multicontainer Docker 18.06 version 2.11.9

64bit Amazon Linux 2018.03 v2.11.9 running Multi-container Docker 18.06.1-ce (Generic)

2018.03.0

18.06.1-ce

1.25.2

Docker préconfiguré

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Plateforme

Système d'exploitation conteneur

Langage

Serveur proxy

Serveur d'application

Image Docker

GlassFish 5.0 (Docker) version 2.12.9

64bit Amazon Linux v2.12.9 running GlassFish 5.0 Java 8 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Amazon Linux 2018.03

Java 8

nginx 1.14.1

GlassFish 5.0

amazon/aws-eb-glassfish:5.0-al-onbuild-2.11.1

Go 1.4 (Docker) version 2.12.9

64bit Debian jessie v2.12.9 running Go 1.4 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Debian Jessie

Go 1.4.2

nginx 1.14.1

Aucun(e)

golang:1.4.2-onbuild

Go 1.3 (Docker) version 2.12.9

64bit Debian jessie v2.12.9 running Go 1.3 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Debian Jessie

Go 1.3.3

nginx 1.14.1

Aucun(e)

golang:1.3.3-onbuild

Python 3.4 with uWSGI 2 (Docker) version 2.12.9

64bit Debian jessie v2.12.9 running Python 3.4 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Debian Jessie

Python 3.4

nginx 1.14.1

uWSGI 2.0.8

amazon/aws-eb-python:3.4.2-onbuild-3.5.1

Go

Version de plateforme et Nom de la pile de solutions

AMI

Langage

AWS X‑Ray

Serveur proxy

Go 1.11 version 2.10.1

64bit Amazon Linux 2018.03 v2.10.0 running Go 1.11.5

2018.03.0

Go 1.11.5

3.0.0

nginx 1.14.1

Java SE

Version de plateforme et Nom de la pile de solutions

AMI

Langage

Outils

AWS X‑Ray

Serveur proxy

Java 8 version 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running Java 8

2018.03.0

Java 1.8.0_191

Ant 1.9.6, Gradle 2.7, Maven 3.3.3

3.0.0

nginx 1.14.1

Java 7 version 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running Java 7

2018.03.0

Java 1.7.0.201

Ant 1.9.6, Gradle 2.7, Maven 3.3.3

3.0.0

nginx 1.14.1

Java avec Tomcat

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

AWS X‑Ray

Serveur d'application

Serveur proxy

Java 8 avec Tomcat 8.5 version 3.1.1

64bit Amazon Linux 2018.03 v3.1.1 running Tomcat 8.5 Java 8

2018.03.0

Java 1.8.0_191

3.0.0

Tomcat 8.5.32

Apache 2.4.37 (par défaut), Apache 2.2.34, Nginx 1.14.1

Java 8 avec Tomcat 8 version 3.1.1

64bit Amazon Linux 2018.03 v3.1.1 running Tomcat 8 Java 8

2018.03.0

Java 1.8.0_191

3.0.0

Tomcat 8.0.53

Apache 2.4.37 (par défaut), Apache 2.2.34, Nginx 1.14.1

Java 7 avec Tomcat 7 version 3.1.1

64bit Amazon Linux 2018.03 v3.1.1 running Tomcat 7 Java 7

2018.03.0

Java 1.7.0.201

3.0.0

Tomcat 7.0.91

Apache 2.4.37 (par défaut), Apache 2.2.34, Nginx 1.14.1

Java 6 avec Tomcat 7 version 3.1.1

64bit Amazon Linux 2018.03 v3.1.1 running Tomcat 7 Java 6

2018.03.0

Java 1.6.0_41

3.0.0

Tomcat 7.0.91

Apache 2.4.37 (par défaut), Apache 2.2.34, Nginx 1.14.1

Node.js

Version de plateforme et Nom de la pile de solutions

AMI

Versions Node.js (versions npm)

Serveur proxy

Git

AWS X‑Ray

Node.js version 4.8.1

64bit Amazon Linux 2018.03 v4.8.1 running Node.js

2018.03.0

10.15.1 (6.4.1), 10.15.0 (6.4.1), 10.14.1 (6.4.1), 8.15.0 (6.4.1), 8.14.0 (6.4.1), 7.10.1 (4.2.0), 6.16.0 (3.10.10), 6.15.1 (3.10.10), 5.12.0 (3.8.6), 4.9.1 (2.15.11), 4.8.7 (2.15.11)

Plateforme par défaut : 10.15.1

nginx 1.14.1, Apache 2.4.37

2.14.5

3.0.0

PHP

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Composer

Serveur proxy

PHP 7.2 version 2.8.7

64bit Amazon Linux 2018.03 v2.8.7 running PHP 7.2

2018.03.0

PHP 7.2.13

1.4.2

Apache 2.4.37

PHP 7.1 version 2.8.7

64bit Amazon Linux 2018.03 v2.8.7 running PHP 7.1

2018.03.0

PHP 7.1.25

1.4.2

Apache 2.4.37

PHP 7.0 version 2.8.7

64bit Amazon Linux 2018.03 v2.8.7 running PHP 7.0

2018.03.0

PHP 7.0.33

1.4.2

Apache 2.4.37

PHP 5.6 version 2.8.7

64bit Amazon Linux 2018.03 v2.8.7 running PHP 5.6

2018.03.0

PHP 5.6.39

1.4.2

Apache 2.4.37

PHP 5.5 version 2.8.7

64bit Amazon Linux 2018.03 v2.8.7 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.37

PHP 5.4 version 2.8.7

64bit Amazon Linux 2018.03 v2.8.7 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.37

Python

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Gestionnaire de package

Outil de création de package

meld3

AWS X‑Ray

Serveur proxy

Python 3.6 version 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running Python 3.6

2018.03.0

Python 3.6.7

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 avec mod_wsgi 3.5

Python 3.4 version 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running Python 3.4

2018.03.0

Python 3.4.9

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 avec mod_wsgi 3.5

Python 2.7 version 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running Python 2.7

2018.03.0

Python 2.7.15

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 avec mod_wsgi 3.5

Python 2.6 version 2.8.1

64bit Amazon Linux 2018.03 v2.8.1 running Python 2.6

2018.03.0

Python 2.6.9

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 avec mod_wsgi 3.5

Ruby

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Gestionnaire de package

Serveur d'application

AWS X‑Ray

Serveur proxy

Ruby 2.6 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.6 (Puma)

2018.03.0

Ruby 2.6.1-p33

RubyGems 3.0.2

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.6 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.6 (Passenger Standalone)

2018.03.0

Ruby 2.6.1-p33

RubyGems 3.0.2

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.5 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.5 (Puma)

2018.03.0

Ruby 2.5.3-p105

RubyGems 2.7.7

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.5 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.5 (Passenger Standalone)

2018.03.0

Ruby 2.5.3-p105

RubyGems 2.7.7

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.4 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.4 (Puma)

2018.03.0

Ruby 2.4.5-p335

RubyGems 2.7.7

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.4 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.4 (Passenger Standalone)

2018.03.0

Ruby 2.4.5-p335

RubyGems 2.7.7

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.3 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.3 (Puma)

2018.03.0

Ruby 2.3.8-p459

RubyGems 2.7.7

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.3 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.3 (Passenger Standalone)

2018.03.0

Ruby 2.3.8-p459

RubyGems 2.7.7

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.2 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.2 (Puma)

2018.03.0

Ruby 2.2.10-p489

RubyGems 2.7.6

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.2 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.2 (Passenger Standalone)

2018.03.0

Ruby 2.2.10-p489

RubyGems 2.7.6

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.1 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.1 (Puma)

2018.03.0

Ruby 2.1.10-p492

RubyGems 2.6.13

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.1 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.1 (Passenger Standalone)

2018.03.0

Ruby 2.1.10-p492

RubyGems 2.6.13

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.0 avec Puma version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.0 (Puma)

2018.03.0

Ruby 2.0.0-p648

RubyGems 2.6.13

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.0 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 2.0 (Passenger Standalone)

2018.03.0

Ruby 2.0.0-p648

RubyGems 2.6.13

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 1.9 avec Passenger version 2.9.1

64bit Amazon Linux 2018.03 v2.9.1 running Ruby 1.9.3

2018.03.0

Ruby 1.9.3-p551

RubyGems 2.6.13

Passenger 4.0.60

3.0.0

nginx 1.14.1